Bug 393331 - yumex suspends processing of packages while screen is locked
yumex suspends processing of packages while screen is locked
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yumex (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-20 17:23 EST by John Ellson
Modified: 2008-03-13 03:48 EDT (History)
0 users

See Also:
Fixed In Version: 2.0.4-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-13 03:38:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Ellson 2007-11-20 17:23:40 EST
Description of problem:
yumex suspends processing packages while screen is locked

Suspending operation of applications like games when screen is locked might be
reasonable behavior, but packages doing real work should be allowed to proceed,
at least until they need user input.

Version-Release number of selected component (if applicable):
yumex-2.0.2-1.fc8.noarch.rpm

How reproducible:


Steps to Reproduce:
1.Start a rawide upgrade.
2.Watch yumex process until it starts upgrading packages (~60%)
3.Lock screen
  
Actual results:
Update not complete when screen unlocked, update continues.

Expected results:
Update complete when screen unlocked, yumes ready for Exit.

Additional info:
Comment 1 Fedora Update System 2008-02-21 09:00:45 EST
yumex-2.0.4-1.fc8 has been submitted as an update for Fedora 8
Comment 2 Fedora Update System 2008-02-21 09:04:42 EST
yumex-2.0.4-1.fc7 has been submitted as an update for Fedora 7
Comment 3 Fedora Update System 2008-02-25 19:23:59 EST
yumex-2.0.4-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update yumex'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F7/FEDORA-2008-1940
Comment 4 Fedora Update System 2008-03-13 03:38:30 EDT
yumex-2.0.4-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2008-03-13 03:48:01 EDT
yumex-2.0.4-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.